View Issue Details

IDProjectCategoryView StatusLast Update
0003545PartDesignBugpublic2019-01-05 13:18
ReporterWaldschrat Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionno change required 
PlatformNotebookOSWindows 10OS VersionVersion 1803
Product Version0.17 
Summary0003545: Freeze on "Create New Sketch"
DescriptionFreeCad freezes in a busy loop (full CPU load) when trying to create a sketch on the "Bottom" body in attached file.

Oddly enough, it is no problem to create a new sketch on the "Top" body.
Also, the problem can be "solved" by deleting the "Top" body out of the file before trying to create the sketch. So it seems the problem appears to be somewhere in the link between the two bodies.

Log file attached, too.
The log file indicates two cases of redundant constrains, but I cannot find which sketches cause this problem.

Python Console up to the point of the freeze:
Python 2.7.14 (default, Jan 16 2018, 16:11:42) [MSC v.1800 64 bit (AMD64)] on win32
Type 'help', 'copyright', 'credits' or 'license' for more information.
>>> import WebGui
>>> from StartPage import StartPage
>>>
>>> class WebPage(object):
>>> def __init__(self):
>>> self.browser=WebGui.openBrowserWindow('Start page')
>>> self.browser.setHtml(StartPage.handle(), App.getResourceDir() + 'Mod/Start/StartPage/')
>>> def onChange(self, par, reason):
>>> if reason == 'RecentFiles':
>>> self.browser.setHtml(StartPage.handle(), App.getResourceDir() + 'Mod/Start/StartPage/')
>>>
>>> class WebView(object):
>>> def __init__(self):
>>> self.pargrp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/RecentFiles')
>>> self.webPage = WebPage()
>>> self.pargrp.Attach(self.webPage)
>>> def __del__(self):
>>> self.pargrp.Detach(self.webPage)
>>>
>>> webView=WebView()
>>>
>>> exec(open('C:/Program Files/FreeCAD 0.17/data/Mod/Start/StartPage/LoadMRU0.py').read())
>>> App.setActiveDocument("Case")
>>> App.ActiveDocument=App.getDocument("Case")
>>> Gui.ActiveDocument=Gui.getDocument("Case")
>>> Gui.getDocument("Case").getObject("Body005003003").Visibility=False
>>> Gui.getDocument("Case").getObject("Body005003002").Visibility=True
>>> Gui.activateWorkbench('PartDesignWorkbench')
>>> Gui.getDocument('Case').ActiveView.setActiveObject('part', App.getDocument('Case').getObject('Part'))
>>> Gui.getDocument('Case').ActiveView.setActiveObject('pdbody', App.getDocument('Case').getObject('Body005003002'))
>>>

Report view up to the point of the freeze:
not a freecad file: .STL
Steps To ReproduceOpen FreeCad
Open attached file
Select "Top" body in Combo View
Press space to hide body
Select "Bottom" body in Combo View
Press space to show body
Right click "Bottom" body in Combo View
Select "Toggle Active Body"
Click any face in 3D view, e.g. main bottom plate
Click "Create New Sketch"
Wait
Wait some more
CPU fan speeds up
Wait even more
Kill FreeCad, because nothing happens
Additional InformationFreecad Version:
OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13522 (Git)
Build type: Release
Branch: releases/FreeCAD-0-17
Hash: 3bb5ff4e70c0c526f2d9dd69b1004155b2f527f2
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: German/Germany (de_DE)
TagsNo tags attached.
FreeCAD Information

Relationships

related to 0003760 new FreeCAD Feature: Errors in sketches could be propagated up the tree 

Activities

Waldschrat

2018-07-22 13:46

reporter  

Case.FCStd (2,707,820 bytes)
FreeCAD.log (13,768 bytes)   
Msg: FreeCAD 0.17, Libs: 0.17R13522 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2018
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

Log: Time = Sun Jul 22 15:40:06 2018
Log: AppDataSkipVendor = true
Log: AppHomePath = C:/Program Files/FreeCAD 0.17/
Log: AppIcon = freecad
Log: AppTempPath = C:\Users\Pieta\AppData\Local\Temp\
Log: BinPath = C:/Program Files/FreeCAD 0.17/bin\
Log: BuildRepositoryURL = git://github.com/FreeCAD/FreeCAD.git releases/FreeCAD-0-17
Log: BuildRevision = 13522 (Git)
Log: BuildRevisionBranch = releases/FreeCAD-0-17
Log: BuildRevisionDate = 2018/05/08 13:25:00
Log: BuildRevisionHash = 3bb5ff4e70c0c526f2d9dd69b1004155b2f527f2
Log: BuildVersionMajor = 0
Log: BuildVersionMinor = 17
Log: Console = 0
Log: CopyrightInfo = © Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2018
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##


Log: Debug = 0
Log: DocPath = C:/Program Files/FreeCAD 0.17/doc\
Log: ExeName = FreeCAD
Log: ExeVendor = FreeCAD
Log: ExeVersion = 0.17
Log: LoggingFile = 1
Log: LoggingFileName = C:\Users\Pieta\AppData\Roaming\FreeCAD\FreeCAD.log
Log: MaintainerUrl = http://www.freecadweb.org/wiki/Main_Page
Log: PATH = C:\Program Files\Microsoft MPI\Bin\;C:\ProgramData\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0\;C:\Program Files\Git\cmd;C:\Program Files\Calibre2\;C:\WINDOWS\System32\OpenSSH\;C:\Users\Pieta\AppData\Local\Microsoft\WindowsApps;
Log: PythonSearchPath = C:\Program Files\FreeCAD 0.17\bin\python27.zip;C:\Program Files\FreeCAD 0.17\bin\DLLs;C:\Program Files\FreeCAD 0.17\bin\lib;C:\Program Files\FreeCAD 0.17\bin\lib\plat-win;C:\Program Files\FreeCAD 0.17\bin\lib\lib-tk;C:\Program Files\FreeCAD 0.17\bin
Log: RunMode = Gui
Log: SplashAlignment = Bottom|Left
Log: SplashInfoColor = #c8c8c8
Log: SplashScreen = freecadsplash
Log: SplashTextColor = #ffffff
Log: StartWorkbench = StartWorkbench
Log: SystemParameter = C:\Users\Pieta\AppData\Roaming\FreeCAD\system.cfg
Log: UserAppData = C:\Users\Pieta\AppData\Roaming\FreeCAD\
Log: UserHomePath = C:\Users\Pieta\Documents
Log: UserParameter = C:\Users\Pieta\AppData\Roaming\FreeCAD\user.cfg
Log: Verbose = 
Log: Create Application
Log: Run App init script
Log: Init: starting App::FreeCADInit.py
Log: Init:   Searching for modules...
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Sketcher... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\ReverseEngineering... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Show(Init.py not found)... ignore
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Image... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Surface... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\PartDesign... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Measure... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Ship(Init.py not found)... ignore
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Plot(Init.py not found)... ignore
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\MeshPart... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\OpenSCAD... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Fem... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Spreadsheet... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Start... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Points... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Draft... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Test... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Import... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\TechDraw... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Tux(Init.py not found)... ignore
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Complete... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Web... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Material... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Raytracing... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Mesh... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Path... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Part... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Arch... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Robot... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\AddonManager... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Idf... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Inspection... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Drawing... done
Log: Using C:\Program Files\FreeCAD 0.17\Mod as module path!
Log: System path after init:
Log:    C:\Program Files\FreeCAD 0.17\bin
Log:    C:\Program Files\FreeCAD 0.17\Mod\Sketcher
Log:    C:\Program Files\FreeCAD 0.17\Mod\ReverseEngineering
Log:    C:\Program Files\FreeCAD 0.17\Mod\Show
Log:    C:\Program Files\FreeCAD 0.17\Mod\Image
Log:    C:\Program Files\FreeCAD 0.17\Mod\Surface
Log:    C:\Program Files\FreeCAD 0.17\Mod\PartDesign
Log:    C:\Program Files\FreeCAD 0.17\Mod\Measure
Log:    C:\Program Files\FreeCAD 0.17\Mod\Ship
Log:    C:\Program Files\FreeCAD 0.17\Mod\Plot
Log:    C:\Program Files\FreeCAD 0.17\Mod\MeshPart
Log:    C:\Program Files\FreeCAD 0.17\Mod\OpenSCAD
Log:    C:\Program Files\FreeCAD 0.17\Mod\Fem
Log:    C:\Program Files\FreeCAD 0.17\Mod\Spreadsheet
Log:    C:\Program Files\FreeCAD 0.17\Mod\Start
Log:    C:\Program Files\FreeCAD 0.17\Mod\Points
Log:    C:\Program Files\FreeCAD 0.17\Mod\Draft
Log:    C:\Program Files\FreeCAD 0.17\Mod\Test
Log:    C:\Program Files\FreeCAD 0.17\Mod\Import
Log:    C:\Program Files\FreeCAD 0.17\Mod\TechDraw
Log:    C:\Program Files\FreeCAD 0.17\Mod\Tux
Log:    C:\Program Files\FreeCAD 0.17\Mod\Complete
Log:    C:\Program Files\FreeCAD 0.17\Mod\Web
Log:    C:\Program Files\FreeCAD 0.17\Mod\Material
Log:    C:\Program Files\FreeCAD 0.17\Mod\Raytracing
Log:    C:\Program Files\FreeCAD 0.17\Mod\Mesh
Log:    C:\Program Files\FreeCAD 0.17\Mod\Path
Log:    C:\Program Files\FreeCAD 0.17\Mod\Part
Log:    C:\Program Files\FreeCAD 0.17\Mod\Arch
Log:    C:\Program Files\FreeCAD 0.17\Mod\Robot
Log:    C:\Program Files\FreeCAD 0.17\Mod\AddonManager
Log:    C:\Program Files\FreeCAD 0.17\Mod\Idf
Log:    C:\Program Files\FreeCAD 0.17\Mod\Inspection
Log:    C:\Program Files\FreeCAD 0.17\Mod\Drawing
Log:    C:\Program Files\Microsoft MPI\Bin\
Log:    C:\ProgramData\Oracle\Java\javapath
Log:    C:\Windows\system32
Log:    C:\Windows
Log:    C:\Windows\System32\Wbem
Log:    C:\Windows\System32\WindowsPowerShell\v1.0\
Log:    C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common
Log:    C:\WINDOWS\system32
Log:    C:\WINDOWS
Log:    C:\WINDOWS\System32\Wbem
Log:    C:\WINDOWS\System32\WindowsPowerShell\v1.0\
Log:    C:\Program Files\Git\cmd
Log:    C:\Program Files\Calibre2\
Log:    C:\WINDOWS\System32\OpenSSH\
Log:    C:\Users\Pieta\AppData\Local\Microsoft\WindowsApps
Log:    
Log: Init: App::FreeCADInit.py done
Log: Init: Creating Gui::Application and QApplication
Log: Local server 'FreeCAD' started
Log: OpenGL version 3.0 or higher is present
Log: Run Gui init script
Log: Init: Running FreeCADGuiInit.py start script...
Log: Init:   Searching modules...
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Sketcher... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\ReverseEngineering... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Show(InitGui.py not found)... ignore
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Image... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Surface... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\PartDesign... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Measure(InitGui.py not found)... ignore
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Ship... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Plot... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\MeshPart... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\OpenSCAD... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Fem... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Spreadsheet... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Start... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Points... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Draft... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Test... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Import... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\TechDraw... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Tux... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Complete... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Web... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Material... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Raytracing... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Mesh... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Path... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Part... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Arch... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Robot... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\AddonManager... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Idf(InitGui.py not found)... ignore
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Inspection... done
Log: Init:      Initializing C:\Program Files\FreeCAD 0.17\Mod\Drawing... done
Log: Init: Loading FreeCAD GUI
Log: Init: Running FreeCADGuiInit.py start script... done
Log: Init: Activating default workbench StartWorkbench
Log: Loading GUI of Web module... done
Log: Loading GUI of Start module... done
Log: Loading Start module... done
Msg: not a freecad file: .STLMsg: 
Log: QNetworkAccessFileBackendFactory: URL has no schema set, use file:// for files
Log: QNetworkAccessFileBackendFactory: URL has no schema set, use file:// for files
Log: QNetworkAccessFileBackendFactory: URL has no schema set, use file:// for files
Log: QNetworkAccessFileBackendFactory: URL has no schema set, use file:// for files
Log: QNetworkAccessFileBackendFactory: URL has no schema set, use file:// for files
Log: QNetworkAccessFileBackendFactory: URL has no schema set, use file:// for files
Log: QNetworkAccessFileBackendFactory: URL has no schema set, use file:// for files
Log: QNetworkAccessFileBackendFactory: URL has no schema set, use file:// for files
Log: QNetworkAccessFileBackendFactory: URL has no schema set, use file:// for files
Log: Init: Showing main window
Log: Main window restored
Log: Show main window
Log: Toolbars restored
Log: 3Dconnexion device not attached.
Log: Init: Entering event loop
Log: Init: Processing command line files
Log: Module: Part
Log: Loading Part module... done
Log: Loading GUI of Part module... done
Log: Loading Sketcher module... done
Log: Loading PartDesign module... done
Log: Loading GUI of Sketcher module... done
Log: Loading GUI of PartDesign module... done
Log: Loading Spreadsheet module... done
Log: Loading GUI of Spreadsheet module... done
Log: File was not written with this version of the topology
Log: Sketcher::setUpSketch()-T:0
Log: Sketcher::Solve()-DogLeg-T:0
Log: Sketcher::setUpSketch()-T:0
Log: Sketcher::Solve()-DogLeg-T:0
Log: Sketcher::setUpSketch()-T:0
Log: Sketcher::Solve()-DogLeg-T:0
Log: Sketcher::setUpSketch()-T:0
Log: Sketcher::Solve()-DogLeg-T:0
Log: Sketcher::setUpSketch()-T:0
Log: Sketcher::Solve()-DogLeg-T:0
Log: Sketcher::setUpSketch()-T:0
Log: Sketcher::Solve()-DogLeg-T:0
Log: Sketcher::RedundantSolving-DogLeg-
Log: Sketcher Redundant solving: 1 redundants
Log: Sketcher::setUpSketch()-T:0
Log: Sketcher::Solve()-DogLeg-T:0
Log: Sketcher::RedundantSolving-DogLeg-
Log: Sketcher Redundant solving: 1 redundants
Log: Sketcher::setUpSketch()-T:0
Log: Sketcher::Solve()-DogLeg-T:0
Log: Sketcher::setUpSketch()-T:0
Log: Sketcher::Solve()-DogLeg-T:0
Log: Sketcher::setUpSketch()-T:0
Log: Sketcher::Solve()-DogLeg-T:0
FreeCAD.log (13,768 bytes)   

Waldschrat

2018-07-22 14:00

reporter   ~0011542

Interestingly, the problem can be "solved" by deleting the "Pad025" entry from the "Bottom" body. Remaking this pad (from Sketch059, 6mm, reversed) also restores the issue.
I don't know what's so special about that pad (or the sketch), but somehow it breaks things.

Kunda1

2018-07-27 13:53

administrator   ~0011547

@chrisb care to weigh in?

normandc

2018-09-16 16:10

manager   ~0011762

Trying to recompute the whole document makes FreeCAD use 100% of a CPU for minutes with no end in sight. Tools --> Dependency graph generates a blank page. Obviously there is a problem with the file.

Deleting Pad025 (which is located inside "Top" rather than "Bottom") does not solve the FreeCAD hanging issue on recomputing the whole document.

OS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14727 (Git)
Build type: Release
Branch: master
Hash: c6df59969bfb3ae2027e2b47ddd559852f6e9a4e
Python version: 2.7.15rc1
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: French/Canada (fr_CA)

wmayer

2018-10-04 08:56

administrator   ~0011913

What happens when you disable the grid view of the sketcher? Go to the preferences and under Sketcher disable the setting "Show grid". Now start to create the sketches as you have described.

Kunda1

2018-10-17 20:27

administrator   ~0012050

@Waldschrat please respond

Waldschrat

2018-10-21 15:47

reporter   ~0012077

Sorry, been on vacation.

Create Sketch in Part Design always hangs. Create Sketch in Sketcher always works. Both independent of Show Grid.

abdullah

2018-12-17 19:09

manager   ~0012296

There are two sketches with problems:


Sketch with redundant constraints
Please remove the following redundant constraint:
5

Over-constrained sketch
Please remove at least one of the following constraints:
3, 4, 8, 9, 10

It is not just that a new sketch can not be created but if you mark the "Bottom" body for recompute and trigger an App.ActiveDocument.recompute(), it also hangs.

abdullah

2018-12-18 16:17

manager   ~0012303

Sketch52 has a redundant constraint.
Sketch57 has a redundant constraint.
Sketch58 has conflicting constraints after removing the redundants of sketches 52 and 57.

It is well possible that these were undetected with v0.17.

abdullah

2018-12-18 16:18

manager   ~0012304

The 100% cpu is stuck in the recomputing of a Pad. I do not understand why.

abdullah

2018-12-18 16:38

manager   ~0012305

It is interesting that as the OP indicates, deleting Pad025 allows to continue the design. What is special about Pad025?

IMO not much. It is a sketch attached to a plane with two external links:
a) to shapebinder014.Edge166
b) to Pad024.Edge118

Pad024 is build on top of Sketch058, which is the one getting the conflicting constraints when deleting the redundant constraints.

I will ask the experts to take a look:
1. Mark the document to skip recomputes.
2. Edit Sketch052 with v0.18 remove the redundant.
3. Edit Sketch057 with v0.18 remove the redundant.

[If at this point Sketch058 is opened it appears fully solved, but if a recompute is triggered at this point it hangs].

4. Delete pad025
5. Recompute the document. Sketch058 has conflicting constraints (you may need to click AutoUpdate button to see it as conflicting constraints).

[Not hanging at this point]

6. Delete Sketch058 and Sketch059

7. Trigger a full-document recompute it will go thru, but it will show an error in feature Pocket009 which is made using Sketch052 (the result has multiple solids).

[At this point Sketch052 may not be edited anymore. Before, Sketch052 had 7 external references to Shapebinder014, and a much different shape]

I am not sure to which extend the use of the v0.17 sketcher contributed to all this problems and to which extend one could still run into these problems with v0.18...

chrisb

2018-12-19 18:03

developer   ~0012317

Created forum discussion.

Kunda1

2019-01-05 13:18

administrator   ~0012387

This ticket is closed in favor of 0003760

Issue History

Date Modified Username Field Change
2018-07-22 13:46 Waldschrat New Issue
2018-07-22 13:46 Waldschrat File Added: Case.FCStd
2018-07-22 13:46 Waldschrat File Added: FreeCAD.log
2018-07-22 14:00 Waldschrat Note Added: 0011542
2018-07-27 13:53 Kunda1 Note Added: 0011547
2018-09-16 16:10 normandc Note Added: 0011762
2018-10-04 08:56 wmayer Note Added: 0011913
2018-10-04 08:56 wmayer Status new => feedback
2018-10-17 20:27 Kunda1 Note Added: 0012050
2018-10-21 15:47 Waldschrat Note Added: 0012077
2018-10-21 15:47 Waldschrat Status feedback => new
2018-10-23 10:09 Kunda1 Target Version => 0.18
2018-12-17 19:09 abdullah Note Added: 0012296
2018-12-18 16:17 abdullah Note Added: 0012303
2018-12-18 16:18 abdullah Note Added: 0012304
2018-12-18 16:38 abdullah Note Added: 0012305
2018-12-19 18:03 chrisb Note Added: 0012317
2019-01-05 13:17 Kunda1 Target Version 0.18 =>
2019-01-05 13:18 Kunda1 Status new => closed
2019-01-05 13:18 Kunda1 Resolution open => no change required
2019-01-05 13:18 Kunda1 Note Added: 0012387
2019-01-05 13:18 Kunda1 Relationship added related to 0003760